/****************************************************************************/
/*  VC5404.cmd                                                              */
/*  Copyright (c) 2012  Texas Instruments Incorporated                      */
/*  Author: Rafael de Souza                                                 */
/*                                                                          */
/*    Description: This file is a sample linker command file that can be    */
/*                 used for linking programs built with the C compiler and  */
/*                 running the resulting .out file on a VC5404.             */
/*                 Use it as a guideline.  You will want to                 */
/*                 change the memory layout to match your specific          */
/*                 target system.  You may want to change the allocation    */
/*                 scheme according to the size of your program.            */
/*                                                                          */
/****************************************************************************/

MEMORY
{
  PAGE 0:
          EXT1:   o = 0x00000  l = 0x00080  /* external or reserved (OVLY=1) */
          DARAM0: o = 0x00080  l = 0x01F80  /* 8kW external or DARAM0 (OVLY=1) */
          DARAM1: o = 0x02000  l = 0x02000  /* 8kW external or DARAM1 (OVLY=1) */
          EXT2:   o = 0x04000  l = 0x02000  /* external or reserved (OVLY=1) */
          EXT3:   o = 0x06000  l = 0x02000  /* external or reserved (MP/MC=0) */
          EXT4:   o = 0x08000  l = 0x02000  /* external, reserved (OVLY=1) or ROM (MP/MC=0) */
          EXT5:   o = 0x0A000  l = 0x03F00  /* external or ROM (MP/MC=0) */
          EXT6:   o = 0x0FF00  l = 0x00080  /* external or reserved (MP/MC=0) */
          VECS:   o = 0x0FF80  l = 0x00080  /* Interrupt vector table */

  PAGE 1:
          MMR:    o = 0x00000  l = 0x00060  /* Memory mapped registers */
          SPRAM:  o = 0x00060  l = 0x00020  /* 32W scratch-pad RAM */
          DARAM0: o = 0x00080  l = 0x01F80  /* 8kW DARAM0 */
          DARAM1: o = 0x02000  l = 0x02000  /* 8kW DARAM1 */
          EXTD1:  o = 0x0A000  l = 0x02000  /* external */          
          EXTD2:  o = 0x0C000  l = 0x04000  /* external or PDROM0 (DROM=1) */          
}

SECTIONS
{
       vectors        > DARAM0 PAGE 0
       coefs          > DARAM1 PAGE 1
       .text          > DARAM0 PAGE 0
       .cinit         > DARAM1 PAGE 0
       .data          > DARAM1 PAGE 1
       .bss           > DARAM1 PAGE 1
       .stack         > DARAM0 PAGE 1
       .const         > DARAM1 PAGE 1
       .sysmem        > DARAM0 PAGE 1
       .cio           > DARAM0 PAGE 1
}
