/****************************************************************************/
/*  VC5410.cmd                                                              */
/*  Copyright (c) 2010  Texas Instruments Incorporated                      */
/*  Author: Rafael de Souza                                                 */
/*                                                                          */
/*    Description: This file is a sample linker command file that can be    */
/*                 used for linking programs built with the C compiler and  */
/*                 running the resulting .out file on a VC5410 or VC5410A.  */
/*                 Use it as a guideline.  You will want to                 */
/*                 change the memory layout to match your specific          */
/*                 target system.  You may want to change the allocation    */
/*                 scheme according to the size of your program.            */
/*                                                                          */
/****************************************************************************/

MEMORY
{
    PAGE 0:
        EXT1:   o = 0x00000  l = 0x00080  /* external or reserved (OVLY=1) */
        DARAM0: o = 0x00080  l = 0x00780  /* 2kW external or DARAM0 (OVLY=1) */
        DARAM1: o = 0x00800  l = 0x00800  /* 2kW external or DARAM1 (OVLY=1) */
        DARAM2: o = 0x01000  l = 0x00800  /* 2kW external or DARAM2 (OVLY=1) */
        DARAM3: o = 0x01800  l = 0x00800  /* 2kW external or DARAM3 (OVLY=1) */
        SARAM0: o = 0x02000  l = 0x02000  /* 8kW external or SARAM0 (OVLY=1) */
        SARAM1: o = 0x04000  l = 0x02000  /* 8kW external or SARAM1 (OVLY=1) */
        SARAM2: o = 0x06000  l = 0x02000  /* 8kW external or SARAM2 (OVLY=1) */
        EXT2:   o = 0x08000  l = 0x04000  /* external */
        EXT3:   o = 0x0C000  l = 0x03F80  /* external or ROM (MP/MC=0) */
        VECS:   o = 0x0FF80  l = 0x00080  /* Interrupt vectors */
    
    PAGE 1:
        MMR:    o = 0x00000  l = 0x00060  /* Memory mapped registers */
        SPRAM:  o = 0x00060  l = 0x00020  /* 32W scratch-pad RAM */
        DARAM0: o = 0x00080  l = 0x00780  /* 2kW DARAM0 */
        DARAM1: o = 0x00800  l = 0x00800  /* 2kW DARAM1 */
        DARAM2: o = 0x01000  l = 0x00800  /* 2kW DARAM2 */
        DARAM3: o = 0x01800  l = 0x00800  /* 2kW DARAM3 */
        SARAM0: o = 0x02000  l = 0x02000  /* 8kW SARAM0 */
        SARAM1: o = 0x04000  l = 0x02000  /* 8kW SARAM1 */
        SARAM2: o = 0x06000  l = 0x02000  /* 8kW SARAM2 */
        SARAM3: o = 0x08000  l = 0x02000  /* 8kW external or SARAM3 (OVLY=1) */
        SARAM4: o = 0x0A000  l = 0x02000  /* 8kW external or SARAM4 (DROM=1) */
        SARAM5: o = 0x0C000  l = 0x02000  /* 8kW external or SARAM5 (DROM=1) */
        SARAM6: o = 0x0E000  l = 0x02000  /* 8kW external or SARAM6 (DROM=1) */
}

SECTIONS
{
    vectors        > DARAM1 PAGE 0
    coefs          > DARAM2 PAGE 1
    .text          > DARAM0 PAGE 0
    .cinit         > DARAM2 PAGE 0
    .data          > DARAM2 PAGE 1
    .bss           > DARAM2 PAGE 1
    .stack         > DARAM1 PAGE 1
    .const         > DARAM2 PAGE 1
    .sysmem        > DARAM1 PAGE 1
    .cio           > DARAM1 PAGE 1
}
