/****************************************************************************/
/*  VC5441.cmd                                                              */
/*  Copyright (c) 2012  Texas Instruments Incorporated                      */
/*  Author: Rafael de Souza                                                 */
/*                                                                          */
/*    Description: This file is a sample linker command file that can be    */
/*                 used for linking programs built with the C compiler and  */
/*                 running the resulting .out file on a VC5441.             */
/*                 Use it as a guideline.  You will want to                 */
/*                 change the memory layout to match your specific          */
/*                 target system.  You may want to change the allocation    */
/*                 scheme according to the size of your program.            */
/*                                                                          */
/****************************************************************************/

MEMORY
{
  PAGE 0:
          DARAM0:  o = 0x00000  l = 0x02000  /* 8kW external or DARAM0 (OVLY=1) */
          DARAM1:  o = 0x02000  l = 0x01000  /* 8kW external or DARAM1 (OVLY=1) */
          DARAM2:  o = 0x04000  l = 0x02000  /* 8kW external or DARAM2 (OVLY=1) */
          DARAM3:  o = 0x06000  l = 0x02000  /* 8kW external or DARAM3 (OVLY=1) */
          DARAM4:  o = 0x08000  l = 0x02000  /* 8kW external or shared DARAM4 (MP/MC=0) */
          DARAM5:  o = 0x0A000  l = 0x02000  /* 8kW external or shared DARAM5 (MP/MC=0) */
          DARAM6:  o = 0x0C000  l = 0x02000  /* 8kW external or shared DARAM6 (MP/MC=0) */
          ROM:     o = 0x0F800  l = 0x00800  /* reserved or ROM (ROMEN=1) */
          DARAM7:  o = 0x18000  l = 0x02000  /* 8kW external or shared DARAM7 (MP/MC=0) */
          DARAM8:  o = 0x1A000  l = 0x02000  /* 8kW external or shared DARAM8 (MP/MC=0) */
          DARAM9:  o = 0x1C000  l = 0x02000  /* 8kW external or shared DARAM9 (MP/MC=0) */
          DARAM10: o = 0x1E000  l = 0x02000  /* 8kW external or shared DARAM10 (MP/MC=0) */
          DARAM11: o = 0x28000  l = 0x02000  /* 8kW external or shared DARAM11 (MP/MC=0) */
          DARAM12: o = 0x2A000  l = 0x02000  /* 8kW external or shared DARAM12 (MP/MC=0) */
          DARAM13: o = 0x2C000  l = 0x02000  /* 8kW external or shared DARAM13 (MP/MC=0) */
          DARAM14: o = 0x2E000  l = 0x02000  /* 8kW external or shared DARAM14 (MP/MC=0) */
          DARAM15: o = 0x38000  l = 0x02000  /* 8kW external or shared DARAM15 (MP/MC=0) */
          DARAM16: o = 0x3A000  l = 0x02000  /* 8kW external or shared DARAM16 (MP/MC=0) */
          DARAM17: o = 0x3C000  l = 0x02000  /* 8kW external or shared DARAM17 (MP/MC=0) */
          DARAM18: o = 0x3E000  l = 0x02000  /* 8kW external or shared DARAM18 (MP/MC=0) */

  PAGE 1:
          MMR:     o = 0x00000  l = 0x00060  /* Memory mapped registers */
          DARAM0:  o = 0x00060  l = 0x01FA0  /* 8kW DARAM0 */
          DARAM1:  o = 0x02000  l = 0x02000  /* 8kW DARAM0 */
          DARAM2:  o = 0x04000  l = 0x02000  /* 8kW DARAM1 */
          DARAM3:  o = 0x06000  l = 0x02000  /* 8kW DARAM1 */
          DARAM4:  o = 0x08000  l = 0x02000  /* 8kW DARAM2 (DMMR=0) or DARAM4 (DMMR=1) */          
          DARAM5:  o = 0x0A000  l = 0x02000  /* 8kW DARAM2 (DMMR=0) or DARAM4 (DMMR=1) */          
          DARAM6:  o = 0x0C000  l = 0x02000  /* 8kW DARAM3 (DMMR=0) or DARAM5 (DMMR=1) */          
          DARAM7:  o = 0x0E000  l = 0x02000  /* 8kW DARAM3 (DMMR=0) or DARAM5 (DMMR=1) */          
}

SECTIONS
{
    vectors        > DARAM1 PAGE 0
    coefs          > DARAM2 PAGE 1
    .text          > DARAM0 PAGE 0
    .cinit         > DARAM2 PAGE 0
    .data          > DARAM2 PAGE 1
    .bss           > DARAM2 PAGE 1
    .stack         > DARAM1 PAGE 1
    .const         > DARAM2 PAGE 1
    .sysmem        > DARAM1 PAGE 1
    .cio           > DARAM1 PAGE 1
}
